<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [singularity](./bitburner.ns.singularity.md)

## NS.singularity property

Namespace for [singularity](./bitburner.singularity.md) functions. Contains spoilers.

**Signature:**

```typescript
readonly singularity: Singularity;
```
